Page MenuHomePhabricator

[Epic] Support for Forms
Closed, ResolvedPublic

Description

As a user I want to be able to record Forms of a Lexeme.

An example would be "goes" as a Form of "to go".
Each Form should have a Grammatical Feature like "present tense, 3rd person singular".

I want to also be able to say more about each of the Forms like what it rhymes with.
I need to be able to add a new Form, edit and remove it.
I need to be able to make statements about existing Forms and edit and remove them.

This should all be possible via the UI and the API.

Related Objects

StatusAssignedTask
OpenNone
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedNone
Resolvedthiemowmde
ResolvedNone
Resolved Jonas
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedNone
Resolvedthiemowmde
ResolvedJakob_WMDE
ResolvedJakob_WMDE
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
DuplicateNone
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedJakob_WMDE
ResolvedNone
ResolvedLucas_Werkmeister_WMDE
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
ResolvedWMDE-leszek
Resolved Jonas
Resolved Jonas
ResolvedJakob_WMDE
Resolved Jonas
InvalidNone
ResolvedLydia_Pintscher
ResolvedNone
Resolved Aleksey_WMDE
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedNone
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
ResolvedLydia_Pintscher
Resolved Aleksey_WMDE
Resolved Aleksey_WMDE
Resolved Aleksey_WMDE
Resolvedthiemowmde
ResolvedWMDE-leszek
ResolvedWMDE-leszek
ResolvedWMDE-leszek
Resolvedthiemowmde
Resolvedthiemowmde
Resolvedthiemowmde
Resolvedthiemowmde
ResolvedNone
ResolvedWMDE-leszek
ResolvedNone
ResolvedNone
ResolvedLadsgroup

Event Timeline

Jonas renamed this task from [Epic] support for forms to [Epic] Support for Forms.Mar 20 2017, 11:35 AM
Jonas updated the task description. (Show Details)
Jan_Dittrich added a comment.EditedMar 21 2017, 2:30 PM

So, a suggestion would be:

@Jan_Dittrich: Mockup looks good! As discussed in today's meeting grammatical role shouldn't be linked (as we can't link it to a property) and renamed to grammatical feature.

ok, no link :

– Grammatical "Feature" does not sound right to me. It carries many associations that does not seem to fit our purpose (characteristic, added "feature" on top of something…). But maybe @Addshore can have a look (or rather: a listen) on what sounds right and carries a plausible meaning for a not-deep-in-the-discussion person as a name for what "3rd Person Singular" "and "Future II simple" of a word or phrase are.

Nemo_bis added a subscriber: Nemo_bis.EditedDec 3 2017, 3:28 PM

What's a "Form"? The first thing I think of is SemanticForms (now PageForms), while if I don't know anything about it I end up on https://www.mediawiki.org/wiki/Extension:Form and if I already know that it's about Wikidata and Wiktionary I find one line «Create new entity types (for Lexeme, Form, Sense and Embedded)» https://www.wikidata.org/wiki/Wikidata:Wiktionary#Our_plan .

Please define names and document them somewhere on the wiki.

Lydia_Pintscher closed this task as Resolved.May 2 2018, 2:43 PM
Lydia_Pintscher claimed this task.